Grups de report
Crear un enllaç màgic de descàrrega de l'agent
Crea un enllaç màgic per descarregar l’instal·lador de l’agent en un grup de reportatge. Aquesta funcionalitat només està disponible per al producte FXXOne. Posa’t en contacte amb l’equip de Flexxible per a més informació.
POST
/
v1
/
organizations
/
{organization_id}
/
reporting-groups
/
{reporting_group_id}
/
magic-links
Crear un enllaç màgic de descàrrega de l'agent
curl --request POST \
--url https://api.flexxible.net/v1/organizations/{organization_id}/reporting-groups/{reporting_group_id}/magic-links \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"expires_at": "2026-03-15T12:00:00.000Z",
"installer": {
"version": "latest",
"platform": "windows",
"arch": "x64",
"type": "fxxone"
}
}
'import requests
url = "https://api.flexxible.net/v1/organizations/{organization_id}/reporting-groups/{reporting_group_id}/magic-links"
payload = {
"expires_at": "2026-03-15T12:00:00.000Z",
"installer": {
"version": "latest",
"platform": "windows",
"arch": "x64",
"type": "fxxone"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
expires_at: '2026-03-15T12:00:00.000Z',
installer: {version: 'latest', platform: 'windows', arch: 'x64', type: 'fxxone'}
})
};
fetch('https://api.flexxible.net/v1/organizations/{organization_id}/reporting-groups/{reporting_group_id}/magic-links', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "507f1f77bcf86cd799439099",
"token": "2ab46558-3c40-4b72-8fce-08b7b596f624",
"link": "https://portal.example.com/magic-link?key=2ab46558-3c40-4b72-8fce-08b7b596f624"
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}Autoritzacions
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Paràmetres de ruta
El identificador únic de l'organització
Maximum string length:
24Pattern:
^[0-9a-f]{24}$L'identificador únic del Grup de report
Maximum string length:
24Pattern:
^[0-9a-f]{24}$Cos
application/json
Cos de sol·licitud per crear un enllaç màgic de Grup de reporte.
Resposta
Enllaç màgic creat correctament.
Identificador de l'enllaç màgic
Exemple:
"507f1f77bcf86cd799439099"
Token associat amb l'enllaç màgic.
Exemple:
"2ab46558-3c40-4b72-8fce-08b7b596f624"
URL de l'enllaç màgic.
Exemple:
"https://portal.example.com/magic-link?key=2ab46558-3c40-4b72-8fce-08b7b596f624"
⌘I
Crear un enllaç màgic de descàrrega de l'agent
